/*!
 * gitmars v4.0.0-alpha.15
 * 这是一个git工作流工具
 * (c) 2021-2022 saqqdy<https://github.com/saqqdy> 
 * Released under the MIT License.
 */
import i18n from '#lib/locales/index';

const cmdConfig = {
  command: "save",
  short: "sv",
  args: [
    {
      required: false,
      name: "message",
      variadic: false,
      validator: (val, opts, cb) => {
        if (/\s+/.test(val)) {
          cb(new Error(i18n.__("Please do not enter spaces")));
          return;
        }
        cb();
      },
      description: i18n.__("AccessKeyword")
    }
  ],
  options: [
    {
      flags: "-f, --force",
      required: false,
      optional: false,
      variadic: false,
      mandatory: false,
      short: "-f",
      long: "--force",
      negate: false,
      description: i18n.__(
        "No version of the file is also staged, which will perform a git add ."
      ),
      defaultValue: false
    }
  ],
  validatorOpts: (val, opts, cb) => {
    cb();
  },
  validatorArgs: (val, opts, cb) => {
    cb();
  },
  transformOpts: (val, opts, cb) => {
    cb();
  },
  transformArgs: (val, opts, cb) => {
    cb();
  }
};

export { cmdConfig, cmdConfig as default };
